Bug 825398 - [abrt] anjuta-3.2.0-1.fc16: gtk_widget_child_notify: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.2.0-1.fc16: gtk_widget_child_notify: Process /usr/bin/anjuta ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:c5ddfac5bae2095bfee98b31472...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 18:22 EDT by Brian Lloyd
Modified: 2013-04-30 18:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:55:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (5.08 KB, text/plain)
2012-05-25 18:22 EDT, Brian Lloyd
no flags Details
File: dso_list (12.37 KB, text/plain)
2012-05-25 18:22 EDT, Brian Lloyd
no flags Details
File: maps (61.70 KB, text/plain)
2012-05-25 18:22 EDT, Brian Lloyd
no flags Details
File: backtrace (31.18 KB, text/plain)
2012-05-25 18:22 EDT, Brian Lloyd
no flags Details

  None (edit)
Description Brian Lloyd 2012-05-25 18:22:12 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        anjuta
crash_function: gtk_widget_child_notify
executable:     /usr/bin/anjuta
kernel:         3.3.4-3.fc16.x86_64
pid:            29300
pwd:            /home/blloyd
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Wed 23 May 2012 06:50:19 PM CDT
uid:            1000
username:       blloyd

backtrace:      Text file, 31930 bytes
build_ids:      Text file, 5207 bytes
dso_list:       Text file, 12663 bytes
maps:           Text file, 63178 bytes

comment:
:Open project.  Intermittently when clicking an x to close an opened document, the segfault occurs.  When it happens, if that document was open during last project save so it opens again at project time, it will segfault next time the page is closed by clicking X or close document menu command.   Only way to close document once this happens is to then use Close All Documents menu command or hand edit the anjuta project files.
:
:I have only seen this occur in single makefile, multiple sub-directory projects opened in anjuta, though it may also be just that my larger projects fall into this category.
:
:

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=lloydbal1.familyhonor.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=96aa32eb44cdd0b648c011b600000058-1337798911.449394-633556875
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-UJfvgw
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=blloyd
:USERNAME=blloyd
:MAIL=/var/spool/mail/blloyd
:PATH=/home/blloyd/src/omc1734/Debug:/home/blloyd/bin:/home/blloyd/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/blloyd/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/blloyd
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1869
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/blloyd
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=blloyd
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CvB8BCcBw2,guid=32b105eb863846ad1c3433120000003d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/blloyd
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-blloyd-GjbhHZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1875,unix/unix:/tmp/.ICE-unix/1875
:GPG_AGENT_INFO=/tmp/keyring-UJfvgw/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-UJfvgw/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2090-lloydbal1.familyhonor.net-anjuta-5_TIME15567899
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=29300

var_log_messages:
:May 23 14:29:37 lloydbal1 anjuta[2465]: Ignoring attempt to re-initialize GDA library.
:May 23 18:06:32 lloydbal1 kernel: [15529.128936] anjuta[2465]: segfault at 30b ip 00000030a327d7e0 sp 00007fff9e704e08 error 4 in libgtk-3.so.0.200.4[30a3000000+43b000]
:May 23 18:06:37 lloydbal1 abrt[29273]: Saved core dump of pid 2465 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-05-23-18:06:32-2465 (183046144 bytes)
:May 23 18:50:19 lloydbal1 kernel: [18152.834665] anjuta[29300]: segfault at 30b ip 00000030a327d7e0 sp 00007fffdd48bd78 error 4 in libgtk-3.so.0.200.4[30a3000000+43b000]
:May 23 18:50:21 lloydbal1 abrt[31603]: Saved core dump of pid 29300 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-05-23-18:50:19-29300 (143986688 bytes)
Comment 1 Brian Lloyd 2012-05-25 18:22:16 EDT
Created attachment 586960 [details]
File: build_ids
Comment 2 Brian Lloyd 2012-05-25 18:22:19 EDT
Created attachment 586961 [details]
File: dso_list
Comment 3 Brian Lloyd 2012-05-25 18:22:20 EDT
Created attachment 586962 [details]
File: maps
Comment 4 Brian Lloyd 2012-05-25 18:22:22 EDT
Created attachment 586963 [details]
File: backtrace
Comment 5 Johannes Schmid 2012-05-28 16:11:09 EDT
Hi Brian!

I believe that could be a duplicate of the issue of bug #801403 which has been fixed with anjuta 3.4.1. Can you try the latest version 3.4.2 and tell us if the problem still occurs?

Thanks!

Commits that might be related:
http://git.gnome.org/browse/anjuta/commit/?h=gnome-3-4&id=46999d972992c10ea973accc9e183957ba796644
http://git.gnome.org/browse/anjuta/commit/?h=gnome-3-4&id=547b84fb589e1e01f6f8494b10a0e160f4125a42
Comment 6 Fedora End Of Life 2013-01-16 07:34:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 07:55:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.